
Redmine - Defect #42332

"Edit this section" is shifted

2025-02-28 01:58 - Abe Tomoaki

Status: Confirmed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version: Candidate for next minor release   

Resolution:  Affected version:  

Description

I wrote the following markdown:

# Wiki

### title1

contents1

### `title` a

contents2

### title3

contents3

 The display is as follows:

 Screenshot.png 

There is no pen symbol next to "`title` a".

The text that shows up on the edit screen when I click on the pen symbol next to "title3" is as follows:

### `title` a

contents2

 ruby bin/about

$ RAILS_ENV=development ruby bin/about

Environment:

  Redmine version                6.0.3.devel

  Ruby version                   3.1.6-p260 (2024-05-29) [x86_64-linux]

  Rails version                  7.2.2.1

  Environment                    development

  Database adapter               SQLite

  Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

  Mailer delivery                smtp

Redmine settings:

  Redmine theme                  Default

SCM:

  Subversion                     1.14.2

  Mercurial                      6.3.2

  Git                            2.39.5

  Filesystem                     

Redmine plugins:

  no plugin installed

History
#1 - 2025-02-28 02:02 - Abe Tomoaki

The following changes fixed it.

diff --git a/app/helpers/application_helper.rb b/app/helpers/application_helper.rb

index 50519c890..e8a5a9f9c 100644

--- a/app/helpers/application_helper.rb

+++ b/app/helpers/application_helper.rb

@@ -1386,7 +1386,7 @@ module ApplicationHelper

               <|

               $)

     }x

-  HEADING_RE = /(<h(\d)( [^>]+)?>(.+?)<\/h(\d)>)/i unless const_defined?(:HEADING_RE)

+  HEADING_RE = /(<h(\d)( [^>]+)?>(.+?)<\/h(\d)>)/im unless const_defined?(:HEADING_RE)

   def parse_sections(text, project, obj, attr, only_path, options)

     return unless options[:edit_section_links]

#2 - 2025-02-28 02:07 - Abe Tomoaki

HTML contained line break.

<h3>

<code>title</code> a</h3>

#3 - 2025-03-01 08:41 - Go MAEDA

- Category set to Text formatting

- Status changed from New to Confirmed

- Target version set to Candidate for next minor release

Files

Screenshot.png 27.6 KB 2025-02-28 Abe Tomoaki
